PostgreSQL 8.0.0 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER GROUP

## Name

ALTER GROUP -- change a user group

## Synopsis

    ALTER GROUP groupname ADD USER username [, ... ]
    ALTER GROUP groupname DROP USER username [, ... ]

    ALTER GROUP groupname RENAME TO newname

## Description

`ALTER GROUP` changes the attributes of a user group.

The first two variants add users to a group or remove them from a group. Only database superusers can use this command.

The third variant changes the name of the group. Only a database superuser can rename groups.

## Parameters

`groupname`

  The name of the group to modify.

`username`

  Users that are to be added to or removed from the group. The users must already exist; `ALTER GROUP` does not create or drop users.

`newname`

  The new name of the group.

## Examples

Add users to a group:

    ALTER GROUP staff ADD USER karl, john;

Remove a user from a group:

    ALTER GROUP workers DROP USER beth;

## Compatibility

There is no `ALTER GROUP` statement in the SQL standard. The concept of roles is similar.

## See Also

CREATE GROUP, DROP GROUP

Prev | Home | Next
ALTER FUNCTION | Up | ALTER INDEX